Author Topic: Upgraded, but Version # out of Sync  (Read 2024 times)

rportinga

  • Full Member
  • ***
  • Posts: 117
    • View Profile
    • Bauer Bros. Construction, Inc.
    • Email
Upgraded, but Version # out of Sync
« on: October 19, 2009, 12:12:09 pm »
ok, back a few versions ago I got an error during the upgrade. Ever since then my version number was right on the page, but I would get the "upgrade available" message every time I logged in.

During subsequent upgrades I would get a message about some tables already existing or something...but everything worked (other than the message at login) so I've been putting off dealing with it.

Now with the 1.5.3 upgrade I had some major problems.. and things broke.

I had backed up my DB so I did a fresh install of 1.5.3 - and after a lot of cut&paste to get the large backup imported again, I'm up and running again.

BUT, I still get the upgrade available message, and my page displays that I'm on v1.4.2 (that was the version the backup came from).

Is there some table I can go in via phpmysql and edit to change the version # and get rid of that message?
Rob Portinga
Bauer Bros. Construction, Inc.

a2opinion

  • Full Member
  • ***
  • Posts: 177
  • Christian
    • View Profile
    • A Second Opinion
Re: Upgraded, but Version # out of Sync
« Reply #1 on: October 19, 2009, 12:59:59 pm »
I know that under 'administration' there is a check box for an event that will check ever 14xx minutes to see if you need to upgrade and (presumably) let you know when you do.  It must store that information somewhere in the DB so that it know s that you have the latest and greatest.

poking around my installation I found this file:
opengoo/config/installed_version.php
 the only bit that wasn't in comments was:
Code: [Select]
return '1.5.3';
Still mucking about to find where it keeps version info in the DB

 

anything